meson: Correct minimum required GLib version

It's updated to 2.40.0 since the commit 3e8ef4cf
8 jobs for correct-glib-dep in 16 minutes and 17 seconds (queued for 1 second)
Status Job ID Name Coverage
  Preparation
passed #86790
gst indent

00:00:20

passed #86789
manifest

00:00:41

 
  Build
passed #86791
build fedora x86_64

00:02:15

 
  Test
passed #86792
check fedora

00:03:38

 
  Full Builds
passed #86793
build android arm64 api28

00:04:28

passed #86795
build cerbero cross win32

00:09:43

passed #86796
build cerbero cross win64

00:08:08

passed #86794
build cerbero fedora x86_64

00:06:35